MetalIconFactory.TreeLeafIcon (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalIconFactory.TreeLeafIcon

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalIconFactory.FileIcon16
            |
            +--javax.swing.plaf.metal.MetalIconFactory.TreeLeafIcon

All Implemented Interfaces:
  Icon, Serializable

Enclosing class:
  MetalIconFactory

public static class MetalIconFactory.TreeLeafIcon
extends MetalIconFactory.FileIcon16

Constructor Summary
`MetalIconFactory.TreeLeafIcon()`

Method Summary
`int` | `getAdditionalHeight()`
`int` | `getShift()`

Methods inherited from class javax.swing.plaf.metal.MetalIconFactory.FileIcon16
`getIconHeight, getIconWidth, paintIcon`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalIconFactory.TreeLeafIcon

    public MetalIconFactory.TreeLeafIcon()

Method Detail

### getShift

    public int getShift()

  Overrides:
    `getShift` in class `MetalIconFactory.FileIcon16`

### getAdditionalHeight

    public int getAdditionalHeight()

  Overrides:
    `getAdditionalHeight` in class `MetalIconFactory.FileIcon16`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.